# The Account object

### The Account object

```json
{
  "id": "acct_1Nv0FGQ9RKHgCVdK",
  "object": "account",
  "business_profile": {
    "annual_revenue": null,
    "estimated_worker_count": null,
    "mcc": null,
    "name": null,
    "product_description": null,
    "support_address": null,
    "support_email": null,
    "support_phone": null,
    "support_url": null,
    "url": null
  },
  "business_type": null,
  "capabilities": {},
  "charges_enabled": false,
  "controller": {
    "fees": {
      "payer": "application"
    },
    "is_controller": true,
    "losses": {
      "payments": "application"
    },
    "requirement_collection": "stripe",
    "stripe_dashboard": {
      "type": "express"
    },
    "type": "application"
  },
  "country": "US",
  "created": 1695830751,
  "default_currency": "usd",
  "details_submitted": false,
  "email": "jenny.rosen@example.com",
  "external_accounts": {
    "object": "list",
    "data": [],
    "has_more": false,
    "total_count": 0,
    "url": "/v1/accounts/acct_1Nv0FGQ9RKHgCVdK/external_accounts"
  },
  "future_requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [],
    "disabled_reason": null,
    "errors": [],
    "eventually_due": [],
    "past_due": [],
    "pending_verification": []
  },
  "login_links": {
    "object": "list",
    "total_count": 0,
    "has_more": false,
    "url": "/v1/accounts/acct_1Nv0FGQ9RKHgCVdK/login_links",
    "data": []
  },
  "metadata": {},
  "payouts_enabled": false,
  "requirements": {
    "alternatives": [],
    "current_deadline": null,
    "currently_due": [
      "business_profile.mcc",
      "business_profile.url",
      "business_type",
      "external_account",
      "representative.first_name",
      "representative.last_name",
      "tos_acceptance.date",
      "tos_acceptance.ip"
    ],
    "disabled_reason": "requirements.past_due",
    "errors": [],
    "eventually_due": [
      "business_profile.mcc",
      "business_profile.url",
      "business_type",
      "external_account",
      "representative.first_name",
      "representative.last_name",
      "tos_acceptance.date",
      "tos_acceptance.ip"
    ],
    "past_due": [
      "business_profile.mcc",
      "business_profile.url",
      "business_type",
      "external_account",
      "representative.first_name",
      "representative.last_name",
      "tos_acceptance.date",
      "tos_acceptance.ip"
    ],
    "pending_verification": []
  },
  "settings": {
    "bacs_debit_payments": {
      "display_name": null,
      "service_user_number": null
    },
    "branding": {
      "icon": null,
      "logo": null,
      "primary_color": null,
      "secondary_color": null
    },
    "card_issuing": {
      "tos_acceptance": {
        "date": null,
        "ip": null
      }
    },
    "card_payments": {
      "decline_on": {
        "avs_failure": false,
        "cvc_failure": false
      },
      "statement_descriptor_prefix": null,
      "statement_descriptor_prefix_kanji": null,
      "statement_descriptor_prefix_kana": null
    },
    "dashboard": {
      "display_name": null,
      "timezone": "Etc/UTC"
    },
    "invoices": {
      "default_account_tax_ids": null
    },
    "payments": {
      "statement_descriptor": null,
      "statement_descriptor_kana": null,
      "statement_descriptor_kanji": null
    },
    "payouts": {
      "debit_negative_balances": true,
      "schedule": {
        "delay_days": 2,
        "interval": "daily"
      },
      "statement_descriptor": null
    },
    "sepa_debit_payments": {}
  },
  "tos_acceptance": {
    "date": null,
    "ip": null,
    "user_agent": null
  },
  "type": "none"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- [`business_profile`](https://docs.stripe.com/api/accounts/object.md?query=business_profile) (object, nullable)
  Business information about the account.

- `business_type` (enum, nullable)
  The business type.
Possible enum values:
  - `company`
  - `government_entity`
    US only

  - `individual`
  - `non_profit`

- [`capabilities`](https://docs.stripe.com/api/accounts/object.md?query=capabilities) (object, nullable)
  A hash containing the set of capabilities that was requested for this account and their associated states. Keys are names of capabilities. You can see the full list [here](https://docs.stripe.com/docs/api/capabilities/list.md). Values may be `active`, `inactive`, or `pending`.

- `charges_enabled` (boolean)
  Whether the account can process charges.

- [`company`](https://docs.stripe.com/api/accounts/object.md?query=company) (object, nullable)
  Information about the company or business. This property is available for any `business_type`. After you create an [Account Link](https://docs.stripe.com/api/account_links.md) or [Account Session](https://docs.stripe.com/api/account_sessions.md), only a subset of this property is returned for accounts where [controller.requirement_collection](https://docs.stripe.com/api/accounts/object.md#account_object-controller-requirement_collection) is `stripe`, which includes Standard and Express accounts.

- [`controller`](https://docs.stripe.com/api/accounts/object.md?query=controller) (object, nullable)
  The controller of the account.

- `country` (string)
  The account’s country.

- `created` (timestamp)
  Time at which the account was connected. Measured in seconds since the Unix epoch.

- `default_currency` (string)
  Three-letter ISO currency code representing the default currency for the account. This must be a currency that [Stripe supports in the account’s country](https://docs.stripe.com/payouts.md).

- `details_submitted` (boolean)
  Whether account details have been submitted. Accounts with Stripe Dashboard access, which includes Standard accounts, cannot receive payouts before this is true. Accounts where this is false should be directed to [an onboarding flow](https://docs.stripe.com/connect/onboarding.md) to finish submitting account details.

- `email` (string, nullable)
  An email address associated with the account. It’s not used for authentication and Stripe doesn’t market to this field without explicit approval from the platform.

- [`external_accounts`](https://docs.stripe.com/api/accounts/object.md?query=external_accounts) (object)
  External accounts (bank accounts and debit cards) currently attached to this account. External accounts are only returned for requests where `controller[is_controller]` is true.

- [`future_requirements`](https://docs.stripe.com/api/accounts/object.md?query=future_requirements) (object, nullable)
  Details about the [upcoming new requirements for the account](https://docs.stripe.com/docs/connect/custom-accounts/future-requirements.md), including what information needs to be collected, verified, or reviewed, and by when. After a requirement is collected, verified, or reviewed, it is considered resolved. Most requirements can be addressed programmatically, however, some must be completed through a form or challenge using the Stripe Interface. [Learn more about handling requirements](https://docs.stripe.com/docs/connect/handling-api-verification.md).

- [`groups`](https://docs.stripe.com/api/accounts/object.md?query=groups) (object, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The groups associated with the account.

- [`individual`](https://docs.stripe.com/api/accounts/object.md?query=individual) (object, nullable)
  Information about the person represented by the account. This property is null unless `business_type` is set to `individual`. After you create an [Account Link](https://docs.stripe.com/api/account_links.md) or [Account Session](https://docs.stripe.com/api/account_sessions.md), only a subset of this property is returned for accounts where [controller.requirement_collection](https://docs.stripe.com/api/accounts/object.md#account_object-controller-requirement_collection) is `stripe`, which includes Standard and Express accounts.

- `metadata` (map, nullable)
  Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `payouts_enabled` (boolean)
  Whether the funds in this account can be paid out.

- [`requirements`](https://docs.stripe.com/api/accounts/object.md?query=requirements) (object, nullable)
  Details about the requirements for the account, including what information needs to be collected, verified, or reviewed, and by when. After a requirement is collected, verified, or reviewed, it is considered resolved. Most requirements can be addressed programmatically, however, some must be completed through a form or challenge using the Stripe Interface. [Learn more about handling requirements](https://docs.stripe.com/docs/connect/handling-api-verification.md).

- [`settings`](https://docs.stripe.com/api/accounts/object.md?query=settings) (object, nullable)
  Options for customizing how the account functions within Stripe.

- [`tos_acceptance`](https://docs.stripe.com/api/accounts/object.md?query=tos_acceptance) (object)
  Details on the [acceptance of the Stripe Services Agreement](https://docs.stripe.com/docs/connect/updating-accounts.md#tos-acceptance) by the account representative.

- `type` (enum)
  The Stripe account type. Can be `standard`, `express`, `custom`, or `none`.
Possible enum values:
  - `custom`
  - `express`
  - `none`
    Indicates that the account was created with [controller](https://docs.stripe.com/docs/api/accounts/object.md#account_object-controller) attributes that don’t map to a type of `standard`, `express`, or `custom`.

  - `standard`
